<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Admin page</title>
</head>
<body>
<h2>All recipes:</h2>
<table>
    <th:block th:each="recipe : ${recipes}">
        <tr>
            <td th:text="${recipe.id}">Id</td>
            <td th:text="${recipe.title}">Title</td>
        </tr>
    </th:block>
</table>
<h2>Add recipe</h2>
<form action="#" th:action="@{/addRecipe}" th:object="${recipe}" method="post">
    <p>Id: <input type="number" th:field="*{id}"/></p>
    <p>Title: <input type="text" th:field="*{title}"/></p>
    <p><input type="submit" value="Add"/></p>
</form>
<h2>Delete recipe</h2>
<form action="#" th:action="@{/deleteRecipe}" th:object="${recipe}" method="post">
    <p>Id: <input type="number" th:field="*{id}"/></p>
    <p><input type="submit" value="Delete"/></p>
</form>
<form action="/logout">
    <input type="submit" value="Logout"/>
</form>
<a href="/">Back to home page</a>
</body>
</html>